Observation Instance
Get a list of Observation objects.
### Available end points:
- `/observations/` - Will list all Results in the database
- `/observations.json` - Will return all Results in json format. This can
also be achieved by using the accept header. `application/json`
- `/observations/<object_id>/` - Returns Results object with that id
### Available Methods:
- `GET`
- `HEAD`
### Available filters:
- `title`
- `uuid`
- `keywords`
- `status`
- `result_field`
- `discoveryKeywords`
- `updateFrequency`
- `nonGeographicFlag`
- `publicationState`
- `permissions`
### How to use filters:
These filters can be used like django query filters using __ for related model relationships.
- `/observations/?uuid=d594d53df2612bbd89c2e0e770b5c1a0`
- `/observations/?status=completed`
- `/observations/?results_field__dataPath__startswith=/neodc/esacci`
- `/observations/?discoveryKeywords__name=ESACCI`
- `/observations/?nonGeographicFlag=True`
Filters can be stacked to build an 'AND' relationship. E.g.
- `/observations/?publicationState__in=published,citable&nonGeographicFlag=True`
- `/observations/?publicationState__in=published,citable&discoveryKeyword__name=NDGO0003`
GET /api/v2/observations/32767/?format=api
{ "ob_id": 32767, "uuid": "76202b367af44b82a1c7ba1d1a39e7b9", "title": "Sentinel 1A C-band Synthetic Aperture Radar (SAR): Interferometric Wide (IW) mode Single Look Complex (SLC) Level 0 data", "abstract": "This dataset contains level 0, raw Interferometric Wide swath (IW) Single Look Complex (SLC) C-band Synthetic Aperture Radar (SAR) data from the European Space Agency (ESA) Sentinel 1A satellite. Sentinel 1A was launched on 3rd April 2014 and provides continuous all-weather, day and night imaging radar data. The IW mode is the main operational mode. The IW mode supports single (HH or VV) and dual (HH+HV or VV+VH) polarisation. These data were archived as a test - CEDA does not regularly archive these products.\r\n\r\nThese data are available via CEDA to any registered CEDA user.", "keywords": "Sentinel, radar, Synthetic Aperture Radar, SAR, Interferometric Wide, IW, Single Look Complex, SLC", "publicationState": "published", "dataPublishedTime": "2021-06-25T15:44:32", "doiPublishedTime": null, "updateFrequency": "notPlanned", "status": "completed", "result_field": { "ob_id": "https://api.catalogue.ceda.ac.uk/api/v2/observations/32768/?format=api", "dataPath": "/neodc/sentinel1a/data/IW/L0_RAW/", "oldDataPath": [], "storageLocation": "internal", "storageStatus": "online", "volume": 837020898568, "numberOfFiles": 1626, "fileFormat": "These data are provided in the ESA safe format as downloaded from the Sentinel data hubs." }, "timePeriod": "https://api.catalogue.ceda.ac.uk/api/v2/times/8989/?format=api", "geographicExtent": "https://api.catalogue.ceda.ac.uk/api/v2/bboxes/1/?format=api", "nonGeographicFlag": false, "phenomena": [], "dataLineage": "Data collected and prepared by European Space Agency (ESA). Downloaded from the Collaborative Hub for use by CEDA users.", "removedDataTime": null, "removedDataReason": "", "language": "English", "identifier_set": [], "projects": [ "https://api.catalogue.ceda.ac.uk/api/v2/projects/12321/?format=api" ], "observationcollection_set": [ "https://api.catalogue.ceda.ac.uk/api/v2/observationcollections/12314/?format=api", "https://api.catalogue.ceda.ac.uk/api/v2/observationcollections/30129/?format=api" ], "responsiblepartyinfo_set": [ "https://api.catalogue.ceda.ac.uk/api/v2/rpis/146248/?format=api", "https://api.catalogue.ceda.ac.uk/api/v2/rpis/146249/?format=api", "https://api.catalogue.ceda.ac.uk/api/v2/rpis/146250/?format=api", "https://api.catalogue.ceda.ac.uk/api/v2/rpis/146246/?format=api", "https://api.catalogue.ceda.ac.uk/api/v2/rpis/146245/?format=api", "https://api.catalogue.ceda.ac.uk/api/v2/rpis/146247/?format=api", "https://api.catalogue.ceda.ac.uk/api/v2/rpis/146252/?format=api", "https://api.catalogue.ceda.ac.uk/api/v2/rpis/146251/?format=api", "https://api.catalogue.ceda.ac.uk/api/v2/rpis/146253/?format=api", "https://api.catalogue.ceda.ac.uk/api/v2/rpis/146254/?format=api" ], "procedureAcquisition": "https://api.catalogue.ceda.ac.uk/api/v2/acquisitions/12318/?format=api", "procedureCompositeProcess": null, "procedureComputation": null, "permissions": [ { "ob_id": "https://api.catalogue.ceda.ac.uk/api/v2/observations/2586/?format=api", "useLimitation": null, "accessConstraints": null, "accessCategory": "public", "accessRoles": null, "label": "public: None group", "licenceURL": "https://sentinel.esa.int/documents/247904/690755/Sentinel_Data_Legal_Notice", "licenceClassifications": "any" } ], "discoveryKeywords": [ { "ob_id": 1138, "name": "NDGO0003" } ] }